From: Michael Shigorin <mike@osdn.org.ua>
To: ALT Linux Sisyphus discussion list <sisyphus@altlinux.ru>
Cc: gns@altlinux.ru
Subject: [sisyphus] Re: qemu
Date: Fri, 17 Sep 2004 11:55:05 +0300
Message-ID: <20040917085505.GH7855@osdn.org.ua> (raw)
In-Reply-To: <4149EFAA.9020202@altlinux.ru>
[-- Attachment #1.1: Type: text/plain, Size: 351 bytes --]
On Thu, Sep 16, 2004 at 10:55:22PM +0300, Aleksandr Blokhin wrote:
> Подсказываю - gns@altlinux.ru Неподписанный пакет
Хе. А телефона Коли у меня нет. ;(
2 gns: рекомендую в заливалку добавить проверялку подписи --
например, как в аттаче.
--
---- WBR, Michael Shigorin <mike@altlinux.ru>
------ Linux.Kiev http://www.linux.kiev.ua/
[-- Attachment #1.2: 2bte.sh --]
[-- Type: text/plain, Size: 742 bytes --]
#!/bin/sh
UPROOT=~/Upload
#TARGET=incoming:/incoming/Sisyphus/BTE/
TARGET=incoming:/incoming/Sisyphus/
MAINTAINER=mike@osdn.org.ua
SUBJ1="upload failed"
SUBJ2="gpg sig failed"
#. ~/.ssh/ssh-agent.sh 2>/dev/null 1>&2
#ssh-add
#LC_ALL=C sisyphus_check "$UPROOT/BTE/" || exit 1
[ -z "$UPROOT/BTE/*src.rpm" ] && exit 0
for i in $UPROOT/BTE/*src.rpm; do
rpm --checksig $i | grep -q gpg || {
# echo "$i: GPG signature missing/invalid" | mail -s "$SUBJ2" $MAINTAINER
echo "$i: GPG signature missing/invalid, skipping!" >&2
continue
}
/usr/bin/rsync $* -avut --partial --stats \
-e ssh $i $TARGET \
>> $UPROOT/rsync-upload.log 2>&1 \
&& mv $i $UPROOT/done \
|| echo "upload failed: $i" | mail -s "$SUBJ1" $MAINTAINER
done
#ssh-add -D
[-- Attachment #2: Type: application/pgp-signature, Size: 189 bytes --]
next prev parent reply other threads:[~2004-09-17 8:55 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2004-09-16 7:45 [sisyphus] libasound.a Artem Pastukhov
2004-09-16 8:05 ` Alex Gorbachenko
2004-09-16 8:14 ` Artem Pastukhov
2004-09-16 9:31 ` Alex Gorbachenko
2004-09-16 11:23 ` Alexey Morozov
2004-09-16 14:50 ` [sisyphus] qemu (was: libasound.a) Michael Shigorin
2004-09-16 19:55 ` [sisyphus] qemu Aleksandr Blokhin
2004-09-17 8:55 ` Michael Shigorin [this message]
2004-09-17 13:07 ` [sisyphus] qemu Nick S. Grechukh
2004-09-17 14:29 ` [sisyphus] qemu Nick S. Grechukh
2004-09-17 17:21 ` Aleksandr Blokhin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20040917085505.GH7855@osdn.org.ua \
--to=mike@osdn.org.ua \
--cc=gns@altlinux.ru \
--cc=sisyphus@altlinux.ru \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
ALT Linux Sisyphus discussions
This inbox may be cloned and mirrored by anyone:
git clone --mirror http://lore.altlinux.org/sisyphus/0 sisyphus/git/0.git
# If you have public-inbox 1.1+ installed, you may
# initialize and index your mirror using the following commands:
public-inbox-init -V2 sisyphus sisyphus/ http://lore.altlinux.org/sisyphus \
sisyphus@altlinux.ru sisyphus@altlinux.org sisyphus@lists.altlinux.org sisyphus@lists.altlinux.ru sisyphus@lists.altlinux.com sisyphus@linuxteam.iplabs.ru sisyphus@list.linux-os.ru
public-inbox-index sisyphus
Example config snippet for mirrors.
Newsgroup available over NNTP:
nntp://lore.altlinux.org/org.altlinux.lists.sisyphus
AGPL code for this site: git clone https://public-inbox.org/public-inbox.git